Subject: Re: bug#63871: 29.0.91; JIT native comp triggered to compile loaddefs repeatedly on require

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Jun 2023 17:17:11 +0300

> Date: Sat, 3 Jun 2023 15:11:05 +0100
> From: Jimmy Wong <[email-masked]>
> Cc: [email-masked]
> 
> I expect the buffer orders in the buffer list to be restored when desktop mode restores a session, not
> have an async native compile log buffer inserted at the top so I can quickly switch to the second to last
> buffer I was working on before the restart.

This expectation is incorrect.  desktop.el doesn't (and cannot)
promise that no new buffers will be created as part of restoring the
session.

If this gets in the way of some of your workflows, you can easily
write some Lisp for your init file, which will bury this buffer.